"
 COPYRIGHT (c) 2001 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
"{ Package: 'stx:libbasic' }"

ExecutionError subclass:#PrimitiveFailure
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Kernel-Exceptions-ExecutionErrors'
!

!PrimitiveFailure class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2001 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Raised when a primitive C-code method failed to perform its operation
    Typically, raised with bad arguments.

    The parameter is the message that triggered the error.
"
! !

!PrimitiveFailure methodsFor:'printing & storing'!

description

    |desc|

    desc := super description, ': ', originator printString.
    parameter notNil ifTrue:[
        desc := desc, '>>', parameter selector printString
    ].
    ^ desc
! !

!PrimitiveFailure class methodsFor:'documentation'!

version
    ^ '$Id: PrimitiveFailure.st 10517 2010-04-26 18:26:38Z vranyj1 $'
!

version_SVN
    ^ '$Id: PrimitiveFailure.st 10517 2010-04-26 18:26:38Z vranyj1 $'
! !
